#ifndef MapCalibratedBackgroundImageActionsHandler_h
#define MapCalibratedBackgroundImageActionsHandler_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

class MapCalibratedBackgroundImageActionsHandler: public wxEvtHandler {
        
        DECLARE_CLASS(MapCalibratedBackgroundImageActionsHandler)
        
public:
        MapCalibratedBackgroundImageActionsHandler();
        virtual ~MapCalibratedBackgroundImageActionsHandler();
        
        static MapCalibratedBackgroundImageActionsHandler* GetInstance() {
                return &_instance;
        }
        
        void OnFixedScaleNoRotate(wxCommandEvent& evt);
        void OnFixedScaleRotate(wxCommandEvent& evt);
        void OnUniformScaleNoRotate(wxCommandEvent& evt);
        void OnUniformScaleRotate(wxCommandEvent& evt);
protected:
        static MapCalibratedBackgroundImageActionsHandler _instance;
};

#endif

