#ifndef ModeChangeListener_h
#define ModeChangeListener_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

class Mode;

class ModeChangeListener {
public:
        virtual ~ModeChangeListener() {}
        
        virtual void BeforeEnteringMode(Mode* mode)=0;
        
        virtual void AfterLeavingMode(Mode* mode)=0;
};

#endif

